# amazee.io Categorize Page recipe

This recipe will build two catgory fields (category and themes) on top of Drupal CMS Page and make it so those and the tags fields are autopopulated via AI Automator.

## How to use
1. After you login, you create a Page
2. Fill out the title and content (and description and image if wanted).
3. Click save.
4. Go back to the edit page and see that tags, category and themes where picked by AI.

## Adding to an existing project

#### Requirements
1. Either a Drupal CMS project, or the Drupal CMS Page recipe. Note that the Drupal CMS Page recipe doesn't blend very well in with the Standard installation profile.
2. An AI provider with chat capabilities and a default model configured for _Chat with complex JSON_. Try the [amazee.io AI provider](https://www.drupal.org/project/ai_provider_amazeeio) for an easy setup without the privacy trade-offs.

#### Installation
```shell
composer require drupal/amazeeio_categorize_page
drush recipe ../recipes/amazeeio_categorize_page
```

## Quick start project with the amazee.io AI provider
```shell
composer create-project drupal/cms
composer config minimum-stability dev
composer require drupal/ai_provider_amazeeio drupal/amazeeio_categorize_page

drush site:install
drush en ai_provider_amazeeio
drush recipe ../recipes/amazeeio_categorize_page
```

You can login to or register with the amazee.io AI provider at /admin/config/ai/providers/amazeeio.